KinoSearch1::Analysis::Stemmer(3pm)

NAME
KinoSearch1::Analysis::Stemmer - reduce related words to a shared root

SYNOPSIS
    my $stemmer = KinoSearch1::Analysis::Stemmer->new( language => 'es' );

    my $polyanalyzer = KinoSearch1::Analysis::PolyAnalyzer->new(
        analyzers => [ $lc_normalizer, $tokenizer, $stemmer ],
    );

DESCRIPTION
Stemming reduces words to a root form. For instance, "horse", "horses", and "horsing" all become "hors" -- so that a search for 'horse' will also match documents containing 'horses' and 'horsing'.

This class is a wrapper around Lingua::Stem::Snowball, so it supports the same languages.

METHODS

  new
Create a new stemmer. Takes a single named parameter, "language", which must be an ISO two-letter code that Lingua::Stem::Snowball understands.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.